Subject: Re: [PATCH] git-remote-mediawiki: Fix a bug in a regexp

From: Célestin Matte <[email-masked]>
Date: Sat, 08 Jun 2013 22:08:36 +0200

Le 08/06/2013 20:38, Matthieu Moy a écrit :> This is right, but the code
actually worked the way it was. I'm not
> sure, but my understanding is that '\n' is the string "backslash
> followed by n", but interpreted as a regexp, it is a newline.
>
> The new code looks better than the old one, but the log message may be
> improved.

Is this better?

"
In Perl, '\n' is not a newline, but instead the string composed of a
backslash followed by an "n". To match newlines, one has to use the /\n/
regexp. As the output of "rev-list --first-parent" is line-oriented,
what we want here is to match newlines, and not the "\n" string.
"

-- 
Célestin Matte